'use strict';

var _extends = require('./extends-be0d85bc.js');
var React = require('react');
var checkSisterSite = require('./checkSisterSite-c3a4ac98.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var year = new Date().getFullYear();

var NavFooter = function NavFooter(props) {
  var website = props.website,
      showLogo = props.showLogo;

  return React__default["default"].createElement(
    'div',
    { className: 'nav-footer' },
    website && React__default["default"].createElement(
      'ul',
      null,
      website && website.sideFooterContent && website.sideFooterContent.length && website.sideFooterContent.map(function (content, index) {
        if (content.url && content.title) {
          return content.blank ? React__default["default"].createElement(
            'li',
            { key: index },
            React__default["default"].createElement(
              'a',
              _extends._extends({ target: '_blank' }, checkSisterSite.checkSisterSite(content.url) ? {} : { rel: 'noopener noreferrer' }, { href: content.url, className: 'nav-link' }),
              content.title
            )
          ) : React__default["default"].createElement(
            'li',
            { key: index },
            React__default["default"].createElement(
              'a',
              _extends._extends({ href: content.url }, checkSisterSite.checkSisterSite(content.url) ? {} : { rel: 'noopener noreferrer' }, { className: 'nav-link' }),
              content.title
            )
          );
        } else return null;
      }),
      showLogo && React__default["default"].createElement(
        'li',
        null,
        React__default["default"].createElement(
          'a',
          _extends._extends({ href: 'https://www.mjhlifesciences.com' }, checkSisterSite.checkSisterSite('https://www.mjhlifesciences.com') ? {} : { rel: 'noopener noreferrer' }),
          React__default["default"].createElement('img', {
            style: { maxWidth: '100%', height: '50px', margin: ' 10px 0', objectFit: 'contain' },
            alt: 'MJHLS Brand Logo',
            src: 'https://mjh-web.s3.amazonaws.com/_media/an_mjhls_brand_logo.png'
          })
        )
      )
    ),
    website && website.title && React__default["default"].createElement(
      'p',
      { className: 'nav-link' },
      '\xA9 ',
      year,
      ' MJH Life Sciences and ',
      website.title,
      '. All rights reserved.'
    )
  );
};

var NavFooter$1 = React__default["default"].memo(NavFooter);

exports.NavFooter = NavFooter$1;
